NI-FGEN Supported Versions for NI-FGEN Devices and Modules

개요

This page shows the supported versions of NI-FGEN are required with Function Generators, Arbitrary Function Generators and Arbitrary Waveform Generators. Reference this information to ensure you install the correct driver version when upgrading or updating your system, when migrating or porting code to a new system, or after the purchase and installation of new NI hardware. Using incompatible versions may result in errors, the inability for your operating system to recognize or detect and then find a driver for your device, or missing devices in NI Measurement & Automation Explorer (MAX).

Note that this article replaces KnowledgeBase 5YO8UK31: NI-FGEN Driver Compatibility for NI-FGEN Devices. Some NI manuals may still reference the previous document. If you were redirected from the previous KnowledgeBase URL, please update your bookmarks accordingly.

NI-FGEN Supported Versions for NI-FGEN Devices and Modules


In the Downloads section at the bottom of this page, you can download a copy of this table, which may include older software versions.

Use this table to compare the NI-FGEN Supported Versions for NI-FGEN Devices and Modules
FGEN Devices and Modules NI-FGEN Version
20.0 19.0 18.5 18.1 18.0 17.5 17.1 17.0 16.0 15.0
5401                
5402
5404
5406
5411                
5412
5413      
5421
5422
5423      
5431                
5433      
5441
5442
5450
5451


Note: This chart indicates support for PCI/PCIe/PXI/PXIe form factors of the card. The NI 5401, NI 5411 and NI 5431 are Traditional DAQ devices and are not fully supported on Windows 10/8/7/Vista. Simulating these devices is also not supported on Windows 10/8/7/Vista using either NI-FGEN or the FGEN Soft Front Panel.

Compatible Version